
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>MIT dataset &#8212; Battery SOH  documentation</title>
    
  <link href="../_static/css/theme.css" rel="stylesheet" />
  <link href="../_static/css/index.c5995385ac14fb8791e8eb36b4908be2.css" rel="stylesheet" />

    
  <link rel="stylesheet"
    href="../_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    
      

    
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/basic.css" />
    <link rel="stylesheet" type="text/css" href="../_static/css/custom.css" />
    
  <link rel="preload" as="script" href="../_static/js/index.1c5a1a01449ed65a7b51.js">

    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Tarascon’s Coin dataset" href="COIN.html" />
    <link rel="prev" title="Nasa dataset" href="NASA.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="en" />
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="80">
    
    <div class="container-fluid" id="banner"></div>

    
    <nav class="navbar navbar-light navbar-expand-lg bg-light fixed-top bd-navbar" id="navbar-main"><div class="container-xl">

  <div id="navbar-start">
    
    

<a class="navbar-brand" href="../index.html">
  <img src="../_static/logo.png" class="logo" alt="logo">
</a>


    
  </div>

  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-collapsible" aria-controls="navbar-collapsible" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  
  <div id="navbar-collapsible" class="col-lg-9 collapse navbar-collapse">
    <div id="navbar-center" class="mr-auto">
      
      <div class="navbar-center-item">
        <ul id="navbar-main-elements" class="navbar-nav">
    <li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="Colabs.html">
  Google Colabs
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="main.html">
  Useful dictionaries
 </a>
</li>

<li class="toctree-l1 current active nav-item">
 <a class="reference internal nav-link" href="Battery%20Classes.html">
  Battery Classes
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="Cleaning.html">
  Treatment functions
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="Models.html">
  Models
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="Training.html">
  Training and Simulation
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="Report.html">
  Report related
 </a>
</li>

    
</ul>
      </div>
      
    </div>

    <div id="navbar-end">
      
      <div class="navbar-end-item">
        <ul id="navbar-icon-links" class="navbar-nav" aria-label="Icon Links">
      </ul>
      </div>
      
    </div>
  </div>
</div>
    </nav>
    

    <div class="container-xl">
      <div class="row">
          
            
            <!-- Only show if we have sidebars configured, else just a small margin  -->
            <div class="col-12 col-md-3 bd-sidebar"><form class="bd-search d-flex align-items-center" action="../search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Search the docs ..." aria-label="Search the docs ..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main navigation">
  <div class="bd-toc-item active">
    <ul class="current nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="NASA.html">
   Nasa dataset
  </a>
 </li>
 <li class="toctree-l1 current active">
  <a class="current reference internal" href="#">
   MIT dataset
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="COIN.html">
   Tarascon's Coin dataset
  </a>
 </li>
</ul>

  </div>
</nav>
            </div>
            
          

          
          <div class="d-none d-xl-block col-xl-2 bd-toc">
            
              
              <div class="toc-item">
                
<div class="tocsection onthispage pt-5 pb-3">
    <i class="fas fa-list"></i> On this page
</div>

<nav id="bd-toc-nav">
    <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#classes-for-storing-the-raw-data">
   Classes for storing the raw data
  </a>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#classes-for-cleaning-and-storing-cleaned-data">
   Classes for cleaning and storing cleaned data
  </a>
 </li>
</ul>

</nav>
              </div>
              
              <div class="toc-item">
                
              </div>
              
            
          </div>
          

          
          
            
          
          <main class="col-12 col-md-9 col-xl-7 py-md-5 pl-md-5 pr-md-4 bd-content" role="main">
              
              <div>
                
  <div class="section" id="mit-dataset">
<h1>MIT dataset<a class="headerlink" href="#mit-dataset" title="Permalink to this headline">¶</a></h1>
<p>Corresponds to the <code class="docutils literal notranslate"><span class="pre">MIT_Classes</span></code> module.</p>
<p>Path for the clean batteries:
“Datasets/Severson et al./2. 2017-06-30/Clean Dataset”
or simply <code class="docutils literal notranslate"><span class="pre">import</span> <span class="pre">main</span></code> and do <code class="docutils literal notranslate"><span class="pre">main.path_dict['MIT']</span></code></p>
<p>The MIT dataset is composed of a total of 48 useful batteries. They have
the same discharge protocol but varying charge protocols composed of 2 CC steps,
followed by a rest period and a final CCCV stage which is the same for all
batteries (CC at 1,1A (1C) until Voltage reaches 3,6V, then CV until current
reaches C/50 (I think)). Their nominal capacity is 1,1 A.h. Upon initialization
of the <code class="xref py py-class docutils literal notranslate"><span class="pre">Clean_MIT_Cycle</span></code> class, the charge curve is cut as to only save
the CCCV stage. This is the only part of the charge that is used in model
training etc..</p>
<div class="section" id="classes-for-storing-the-raw-data">
<span id="raw-mit"></span><h2>Classes for storing the raw data<a class="headerlink" href="#classes-for-storing-the-raw-data" title="Permalink to this headline">¶</a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="MIT_Classes.Dataset_MIT">
<em class="property"><span class="pre">class</span> </em><span class="sig-prename descclassname"><span class="pre">MIT_Classes.</span></span><span class="sig-name descname"><span class="pre">Dataset_MIT</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">f</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">battery_number</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">print_bool</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/MIT_Classes.html#Dataset_MIT"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#MIT_Classes.Dataset_MIT" title="Permalink to this definition">¶</a></dt>
<dd><p>Severson et al. dataset from “Data-driven prediction of battery cycle
life before capacity degradation” (check note for full reference).</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Full reference: Severson, K.A., Attia, P.M., Jin, N. et al.
Data-driven prediction of battery cycle life before capacity
degradation. Nat Energy 4, 383–391 (2019).
&lt;<a class="reference external" href="https://doi.org/10.1038/s41560-019-0356-8">https://doi.org/10.1038/s41560-019-0356-8</a>&gt;</p>
</div>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Thorough information about each dataset can be found at:
&lt;<a class="reference external" href="https://data.matr.io/1/projects/5c48dd2bc625d700019f3204">https://data.matr.io/1/projects/5c48dd2bc625d700019f3204</a>&gt;</p>
</div>
<dl class="simple">
<dt>f<span class="classifier">HDF5 File</span></dt><dd><p>The HDF5 File (h5py.File) object corresponding to the file itself.
It is necessary since it’s called during the cycle creation.</p>
</dd>
<dt>battery_number<span class="classifier">int</span></dt><dd><p>The battery number.</p>
</dd>
<dt>print_bool<span class="classifier">bool</span></dt><dd><p>Toggles some information printing on and off (number of cycles, etc.).</p>
</dd>
</dl>
<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Dataset_MIT.Name">
<span class="sig-name descname"><span class="pre">Name</span></span><a class="headerlink" href="#MIT_Classes.Dataset_MIT.Name" title="Permalink to this definition">¶</a></dt>
<dd><p>The battery’s name. It is created based on the battery number.
The number is padded with zeros in order to contain 4 digits.
If battery_number = 12, then the battery Name will be B0012.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>str</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Dataset_MIT.cycle_life">
<span class="sig-name descname"><span class="pre">cycle_life</span></span><a class="headerlink" href="#MIT_Classes.Dataset_MIT.cycle_life" title="Permalink to this definition">¶</a></dt>
<dd><p>The battery’s cycle life (based on 20% nominal capacity degradation -
going from 1.10 A.h to 0.88 A.h).</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>float</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Dataset_MIT.policy">
<span class="sig-name descname"><span class="pre">policy</span></span><a class="headerlink" href="#MIT_Classes.Dataset_MIT.policy" title="Permalink to this definition">¶</a></dt>
<dd><p>A string containing information about the charge cycle.</p>
<p>It’s written in the format “C1(Q1)-C2”. C1 is the first C rate used
for charging, Q1 is the SOC where this first charging step stops and
C2 is the second C rate used for charging.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>str</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Dataset_MIT.cycle">
<span class="sig-name descname"><span class="pre">cycle</span></span><a class="headerlink" href="#MIT_Classes.Dataset_MIT.cycle" title="Permalink to this definition">¶</a></dt>
<dd><p>List containing the cycling information. See MIT_Cycle class.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>list(<a class="reference internal" href="#MIT_Classes.MIT_Cycle" title="MIT_Classes.MIT_Cycle">MIT_Cycle</a>)</p>
</dd>
</dl>
</dd></dl>

<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">f</span> <span class="o">=</span> <span class="n">h5py</span><span class="o">.</span><span class="n">File</span><span class="p">(</span><span class="s1">&#39;2017-06-30_batchdata_updated_struct_errorcorrect.mat&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">battery_number</span> <span class="o">=</span> <span class="mi">24</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">B</span> <span class="o">=</span> <span class="n">Dataset_MIT</span><span class="p">(</span><span class="n">f</span><span class="p">,</span> <span class="n">battery_number</span><span class="p">,</span> <span class="n">print_bool</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">B</span><span class="o">.</span><span class="n">policy</span>
<span class="go">&#39;4.8C(80%)-4.8C&#39; # in this case the 1st and second charges are at the same</span>
<span class="go">                 # C rate.</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">B</span><span class="o">.</span><span class="n">Name</span>
<span class="go">&#39;B0024&#39;</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">B</span><span class="o">.</span><span class="n">cycle_life</span>
<span class="go">495.0</span>
<span class="gp">&gt;&gt;&gt; </span><span class="nb">len</span><span class="p">(</span><span class="n">B</span><span class="o">.</span><span class="n">cycle</span><span class="p">)</span>
<span class="go">524</span>
</pre></div>
</div>
</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Cycle">
<em class="property"><span class="pre">class</span> </em><span class="sig-prename descclassname"><span class="pre">MIT_Classes.</span></span><span class="sig-name descname"><span class="pre">MIT_Cycle</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">f</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">battery</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">summary</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">Cycle_nb</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/MIT_Classes.html#MIT_Cycle"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#MIT_Classes.MIT_Cycle" title="Permalink to this definition">¶</a></dt>
<dd><p>A Cycle class for the Severson dataset.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>f</strong> (<em>HDF5 File</em>) – The HDF5 File (h5py.File) object corresponding to the file itself.</p></li>
<li><p><strong>battery</strong> (<em>HDF5 group</em>) – The group containing the cycling information for each cycle.</p></li>
<li><p><strong>summary</strong> (<em>HDF5 group</em>) – The group containing the summary information for each cycle.</p></li>
<li><p><strong>Cycle_nb</strong> (<em>int</em>) – The Cycle’s number.</p></li>
</ul>
</dd>
</dl>
<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Cycle.number">
<span class="sig-name descname"><span class="pre">number</span></span><a class="headerlink" href="#MIT_Classes.MIT_Cycle.number" title="Permalink to this definition">¶</a></dt>
<dd><p>The cycle’s number.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>int</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Cycle.amb_T">
<span class="sig-name descname"><span class="pre">amb_T</span></span><a class="headerlink" href="#MIT_Classes.MIT_Cycle.amb_T" title="Permalink to this definition">¶</a></dt>
<dd><p>The cycle’s ambient temperature. They were all done at 30ºC.
This is saved to try to agree as much as possible with the Nasa_Cycle
class as well as to document this detail.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>int</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Cycle.summary_keys">
<span class="sig-name descname"><span class="pre">summary_keys</span></span><a class="headerlink" href="#MIT_Classes.MIT_Cycle.summary_keys" title="Permalink to this definition">¶</a></dt>
<dd><p>A list containing the name of the following attributes:</p>
<dl class="simple">
<dt>IR<span class="classifier">float</span></dt><dd><p>Measured internal resistance.</p>
</dd>
<dt>QCharge<span class="classifier">float</span></dt><dd><p>The charge cycle’s capacity.</p>
</dd>
<dt>QDischarge<span class="classifier">float</span></dt><dd><p>The discharge cycle’s capacity.</p>
</dd>
<dt>Tavg<span class="classifier">float</span></dt><dd><p>The cycle’s average temperature.</p>
</dd>
<dt>Tmax<span class="classifier">float</span></dt><dd><p>The cycle’s maximum temperature.</p>
</dd>
<dt>Tmin<span class="classifier">float</span></dt><dd><p>The cycle’s minimum temperature.</p>
</dd>
<dt>chargetime<span class="classifier">float</span></dt><dd><p>The charge cycle’s duration.</p>
</dd>
<dt>cycle<span class="classifier">float</span></dt><dd><p>The cycle number + 1.</p>
</dd>
</dl>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>list</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Cycle.battery_keys">
<span class="sig-name descname"><span class="pre">battery_keys</span></span><a class="headerlink" href="#MIT_Classes.MIT_Cycle.battery_keys" title="Permalink to this definition">¶</a></dt>
<dd><p>A list containing the name of the variables stored in the battery group.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>list</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Cycle.data">
<span class="sig-name descname"><span class="pre">data</span></span><a class="headerlink" href="#MIT_Classes.MIT_Cycle.data" title="Permalink to this definition">¶</a></dt>
<dd><p>The Severson_Data class with all of the important data.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p><a class="reference internal" href="#MIT_Classes.MIT_Data" title="MIT_Classes.MIT_Data">MIT_Data</a></p>
</dd>
</dl>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Data">
<em class="property"><span class="pre">class</span> </em><span class="sig-prename descclassname"><span class="pre">MIT_Classes.</span></span><span class="sig-name descname"><span class="pre">MIT_Data</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">battery_dict</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">capacity</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/MIT_Classes.html#MIT_Data"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#MIT_Classes.MIT_Data" title="Permalink to this definition">¶</a></dt>
<dd><p>Data class for the Severson dataset.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>battery_dict</strong> (<em>dict</em>) – Dictionary containing all of the data arrays.</p></li>
<li><p><strong>capacity</strong> (<em>float</em>) – The battery’s calculated discharge capacity at the end of the cycle.</p></li>
</ul>
</dd>
</dl>
<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Data.time">
<span class="sig-name descname"><span class="pre">time</span></span><a class="headerlink" href="#MIT_Classes.MIT_Data.time" title="Permalink to this definition">¶</a></dt>
<dd><p>Time vector for the cycle [min].</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>ndarray[floats]</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Data.meas_v">
<span class="sig-name descname"><span class="pre">meas_v</span></span><a class="headerlink" href="#MIT_Classes.MIT_Data.meas_v" title="Permalink to this definition">¶</a></dt>
<dd><p>Battery terminal voltage [V].</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>ndarray[floats]</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Data.meas_i">
<span class="sig-name descname"><span class="pre">meas_i</span></span><a class="headerlink" href="#MIT_Classes.MIT_Data.meas_i" title="Permalink to this definition">¶</a></dt>
<dd><p>Battery output current [A].</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>ndarray[floats]</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Data.meas_t">
<span class="sig-name descname"><span class="pre">meas_t</span></span><a class="headerlink" href="#MIT_Classes.MIT_Data.meas_t" title="Permalink to this definition">¶</a></dt>
<dd><p>Battery temperature [ºC].</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>ndarray[floats]</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Data.capacity">
<span class="sig-name descname"><span class="pre">capacity</span></span><a class="headerlink" href="#MIT_Classes.MIT_Data.capacity" title="Permalink to this definition">¶</a></dt>
<dd><p>The battery’s calculated discharge capacity at the end of the cycle [A.h].</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>float</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Data.dis_capacity">
<span class="sig-name descname"><span class="pre">dis_capacity</span></span><a class="headerlink" href="#MIT_Classes.MIT_Data.dis_capacity" title="Permalink to this definition">¶</a></dt>
<dd><p>The battery discharge capacity evolution during cycling [A.h].</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>ndarray[floats]</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Data.chr_capacity">
<span class="sig-name descname"><span class="pre">chr_capacity</span></span><a class="headerlink" href="#MIT_Classes.MIT_Data.chr_capacity" title="Permalink to this definition">¶</a></dt>
<dd><p>The battery charge capacity during cycling [A.h].</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>ndarray[floats]</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Data.dis_dQdV">
<span class="sig-name descname"><span class="pre">dis_dQdV</span></span><a class="headerlink" href="#MIT_Classes.MIT_Data.dis_dQdV" title="Permalink to this definition">¶</a></dt>
<dd><p>The differential capacity curve calculated from the discharge data.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>ndarray[floats]</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Data.Qdlin">
<span class="sig-name descname"><span class="pre">Qdlin</span></span><a class="headerlink" href="#MIT_Classes.MIT_Data.Qdlin" title="Permalink to this definition">¶</a></dt>
<dd><p>Linearly interpolated capacity information (?).</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>ndarray[floats]</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.MIT_Data.Tdlin">
<span class="sig-name descname"><span class="pre">Tdlin</span></span><a class="headerlink" href="#MIT_Classes.MIT_Data.Tdlin" title="Permalink to this definition">¶</a></dt>
<dd><p>Linearly interpolated temperature information (?).</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>ndarray[floats]</p>
</dd>
</dl>
</dd></dl>

</dd></dl>

</div>
<div class="section" id="classes-for-cleaning-and-storing-cleaned-data">
<span id="clean-mit"></span><h2>Classes for cleaning and storing cleaned data<a class="headerlink" href="#classes-for-cleaning-and-storing-cleaned-data" title="Permalink to this headline">¶</a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Battery">
<em class="property"><span class="pre">class</span> </em><span class="sig-prename descclassname"><span class="pre">MIT_Classes.</span></span><span class="sig-name descname"><span class="pre">Clean_MIT_Battery</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">Battery</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">threshold</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">0.1</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">i_cutoff</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">0.022000000000000002</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">min_len</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">1</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">zlim</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">6</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">print_bool</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/MIT_Classes.html#Clean_MIT_Battery"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#MIT_Classes.Clean_MIT_Battery" title="Permalink to this definition">¶</a></dt>
<dd><p>Class that holds the cleaned cycle couples and their data for one Battery.</p>
<p>It takes as a base one Dataset_Severson class (one Battery from the Severson
Dataset). From it, it extracts the cycle couples and cleans each one
of them, excluding those that present abnormalities.</p>
<p>It cleans the discharge cycle by taking away the first few points before the
actual cycle begins and the last ones after the current has reached its
cut-off point (&lt; <code class="docutils literal notranslate"><span class="pre">i_cutoff</span></code>).</p>
<dl class="simple">
<dt>Couples are excluded in this process when:</dt><dd><p>The discharge curve’s capacity value is nan, or it’s below the
<code class="docutils literal notranslate"><span class="pre">threshold</span></code> value.
When the charge cycle is too short (&lt; <code class="docutils literal notranslate"><span class="pre">min_len</span></code>).</p>
</dd>
</dl>
<p>The cycle couples that weren’t excluded then pass by an outlier detection
based on the capacity value. Outliers are detected by sliding windows and
z-score values (mainly sliding windows, small <code class="docutils literal notranslate"><span class="pre">z_lim</span></code> values yielded bad
results, incorrectly excluding large amounts of the dataset).</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>Battery</strong> (<a class="reference internal" href="#MIT_Classes.Dataset_MIT" title="MIT_Classes.Dataset_MIT"><em>Dataset_MIT</em></a>) – The battery we want to create the class for.</p></li>
<li><p><strong>threshold</strong> (<em>float</em><em>, </em><em>default = 0.1</em>) – the minimum capacity value to be considered as relevant [A.h].</p></li>
<li><p><strong>i_cutoff</strong> (<em>float</em><em>, </em><em>default = 1.1/50</em>) – The current cut-off value to be used to determine the end of the charge
cycles [A].</p></li>
<li><p><strong>min_len</strong> (<em>int</em><em>, </em><em>default = 1</em>) – The minimum amount of points a charge cycle must have to be considered
as relevant. Equal to one by default. Something similar is done during
the resampling stages in the dataset creation.</p></li>
<li><p><strong>zlim</strong> (<em>float</em><em>, </em><em>default = 6</em>) – The maximum zscore allowed when searching for outliers.</p></li>
</ul>
</dd>
</dl>
<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Battery.Name">
<span class="sig-name descname"><span class="pre">Name</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Battery.Name" title="Permalink to this definition">¶</a></dt>
<dd><p>The battery’s name.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>string</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Battery.cycle_life">
<span class="sig-name descname"><span class="pre">cycle_life</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Battery.cycle_life" title="Permalink to this definition">¶</a></dt>
<dd><p>The battery’s cycle life (based on 20% nominal capacity degradation -
going from 1.10 A.h to 0.88 A.h).</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>float</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Battery.policy">
<span class="sig-name descname"><span class="pre">policy</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Battery.policy" title="Permalink to this definition">¶</a></dt>
<dd><p>A string containing information about the charge cycle.
Check <code class="docutils literal notranslate"><span class="pre">Dataset_Severson</span></code>’s documentation for more information.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>str</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Battery.capacity_curve">
<span class="sig-name descname"><span class="pre">capacity_curve</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Battery.capacity_curve" title="Permalink to this definition">¶</a></dt>
<dd><p>A 2D array where the first column corresponds to the cycle couple number
and the second to the associated capacity value [[], A.h].</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>ndarray[float, float]</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Battery.cycle_couple">
<span class="sig-name descname"><span class="pre">cycle_couple</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Battery.cycle_couple" title="Permalink to this definition">¶</a></dt>
<dd><p>The Clean_Cycle objects corresponding to each couple.</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="bp">self</span><span class="o">.</span><span class="n">cycle_couple</span><span class="p">[</span><span class="n">k</span><span class="p">]</span> <span class="o">=</span> <span class="p">(</span><span class="n">charge</span> <span class="n">Clean_MIT_Cycle</span><span class="p">,</span>
                        <span class="n">discharge</span> <span class="n">Clean_SEV_Cycle</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>list[tuple(<a class="reference internal" href="#MIT_Classes.Clean_MIT_Cycle" title="MIT_Classes.Clean_MIT_Cycle">Clean_MIT_Cycle</a>)]</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Battery.C_rate">
<span class="sig-name descname"><span class="pre">C_rate</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Battery.C_rate" title="Permalink to this definition">¶</a></dt>
<dd><p>The C rate associated to the battery for nondimensionning the
current [A].</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>float</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Battery.Q_nominal">
<span class="sig-name descname"><span class="pre">Q_nominal</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Battery.Q_nominal" title="Permalink to this definition">¶</a></dt>
<dd><p>The battery’s nominal capacity (for nondimensionning the SOH) [A.h].</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>float</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Battery.V_nominal">
<span class="sig-name descname"><span class="pre">V_nominal</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Battery.V_nominal" title="Permalink to this definition">¶</a></dt>
<dd><p>The battery’s nominal voltage (for nondimensionning the voltage) [V].</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>float</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Battery.clean_MIT_cycle_method">
<span class="sig-name descname"><span class="pre">clean_MIT_cycle_method</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">Cycle</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">i_cutoff</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">0.022000000000000002</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">min_len</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">1</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/MIT_Classes.html#Clean_MIT_Battery.clean_MIT_cycle_method"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#MIT_Classes.Clean_MIT_Battery.clean_MIT_cycle_method" title="Permalink to this definition">¶</a></dt>
<dd><p>Function for cleaning current, voltage and temperature data for a given
cycle from the Severson et al. Dataset (full reference in note).</p>
<p>The cleaning is done by removing outliers and then the last points of the
cycle, when the current is being adjusted. The function will also separate
the charge cycle from the discharge cycle, which come together in the
dataset.</p>
<p>This function is called upon initialization of a Clean_MIT_Battery class
(see MIT_Classes.py for more information).</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>This function uses the convention where the discharge current is
negative and the charge current positive.
If the cycle is deemed as too short or abnormal, then all of the arrays
are returned as None.</p>
</div>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Full reference: Severson, K.A., Attia, P.M., Jin, N. et al.
Data-driven prediction of battery cycle life before capacity
degradation. Nat Energy 4, 383–391 (2019).
&lt;<a class="reference external" href="https://doi.org/10.1038/s41560-019-0356-8">https://doi.org/10.1038/s41560-019-0356-8</a>&gt;</p>
</div>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>Cycle</strong> (<a class="reference internal" href="#MIT_Classes.MIT_Cycle" title="MIT_Classes.MIT_Cycle"><em>MIT_Cycle</em></a>) – The Cycle we want to clean.</p></li>
<li><p><strong>i_cutoff</strong> (<em>float</em><em>, </em><em>default = 1.1/50</em>) – The current cut-off value to be used to determine the end of the
discharge cycles [A].</p></li>
<li><p><strong>min_len</strong> (<em>int</em><em>, </em><em>default = 1</em>) – The minimum amount of points a charge cycle must have to be considered
as relevant. Equal to one by default. Something similar is done during
the resampling stages in the dataset creation.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><ul class="simple">
<li><p><em>Two tuples (ch_data, ds_data), each one containing the cleaned data for</em></p></li>
<li><p><em>the charge and discharge cycle, respectively.</em></p></li>
<li><p><em>ch_data = (time, current, voltage, temperature, capacity) (analogous for the</em></p></li>
<li><p><em>discharge). Each entry is an np.ndarray.</em></p></li>
<li><p><em>When one of the two cycles is too short (len(current) &lt; min_len), the cycle</em></p></li>
<li><p>is scraped and the according tuple is returned as <cite>None</cite>.</p></li>
</ul>
</p>
</dd>
<dt class="field-odd">Raises</dt>
<dd class="field-odd"><p><strong>AssertionError</strong> – If <cite>min_len</cite> &lt; 1.</p>
</dd>
</dl>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Cycle">
<em class="property"><span class="pre">class</span> </em><span class="sig-prename descclassname"><span class="pre">MIT_Classes.</span></span><span class="sig-name descname"><span class="pre">Clean_MIT_Cycle</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">cycle</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">data</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">type</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/MIT_Classes.html#Clean_MIT_Cycle"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#MIT_Classes.Clean_MIT_Cycle" title="Permalink to this definition">¶</a></dt>
<dd><p>Class structured similarly to a Severson_Cycle, but only containing the
cleaned data that is relevant for analysis.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>cycle</strong> (<a class="reference internal" href="#MIT_Classes.MIT_Cycle" title="MIT_Classes.MIT_Cycle"><em>MIT_Cycle</em></a>) – The Severson_Cycle object corresponding to this cycle.</p></li>
<li><p><strong>data</strong> (<em>ndarray</em><em>[</em><em>floats</em><em>]</em>) – The array containing all of the data.
Each column corresponds to a different variable, in the following
order: [time, current, voltage, temperature, capacity].
Units: [s], [A], [V], [ºC] and [A.h] respectively.</p></li>
<li><p><strong>type</strong> (<em>{'charge'</em><em>, </em><em>'discharge'}</em>) – A string expressing which kind of cycle it corresponds to. Can either
be ‘charge’ or ‘discharge’.</p></li>
</ul>
</dd>
</dl>
<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Cycle.type">
<span class="sig-name descname"><span class="pre">type</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Cycle.type" title="Permalink to this definition">¶</a></dt>
<dd><p>The type of cycle.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>{‘charge’, ‘discharge’}</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Cycle.amb_T">
<span class="sig-name descname"><span class="pre">amb_T</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Cycle.amb_T" title="Permalink to this definition">¶</a></dt>
<dd><p>The ambient temperature during measurements [ºC].
It’s always 30ºC in this case.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>int</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Cycle.summary_keys">
<span class="sig-name descname"><span class="pre">summary_keys</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Cycle.summary_keys" title="Permalink to this definition">¶</a></dt>
<dd><p>A list containing the name of the following attributes:</p>
<dl class="simple">
<dt>IR<span class="classifier">float</span></dt><dd><p>Measured internal resistance.</p>
</dd>
<dt>QCharge<span class="classifier">float</span></dt><dd><p>The charge cycle’s capacity.</p>
</dd>
<dt>QDischarge<span class="classifier">float</span></dt><dd><p>The discharge cycle’s capacity.</p>
</dd>
<dt>Tavg<span class="classifier">float</span></dt><dd><p>The cycle’s average temperature.</p>
</dd>
<dt>Tmax<span class="classifier">float</span></dt><dd><p>The cycle’s maximum temperature.</p>
</dd>
<dt>Tmin<span class="classifier">float</span></dt><dd><p>The cycle’s minimum temperature.</p>
</dd>
<dt>chargetime<span class="classifier">float</span></dt><dd><p>The charge cycle’s duration.</p>
</dd>
<dt>cycle<span class="classifier">float</span></dt><dd><p>The cycle number + 1.</p>
</dd>
</dl>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>list(str)</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Cycle.battery_keys">
<span class="sig-name descname"><span class="pre">battery_keys</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Cycle.battery_keys" title="Permalink to this definition">¶</a></dt>
<dd><p>A list containing the name of the variables stored in the battery group.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>list</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Cycle.data">
<span class="sig-name descname"><span class="pre">data</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Cycle.data" title="Permalink to this definition">¶</a></dt>
<dd><p>Clean_Sev_Data class containing all of the actual data.
See Clean_Sev_Data for more information.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p><a class="reference internal" href="#MIT_Classes.Clean_MIT_Data" title="MIT_Classes.Clean_MIT_Data">Clean_MIT_Data</a></p>
</dd>
</dl>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Data">
<em class="property"><span class="pre">class</span> </em><span class="sig-prename descclassname"><span class="pre">MIT_Classes.</span></span><span class="sig-name descname"><span class="pre">Clean_MIT_Data</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">cycle</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">data</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">type</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/MIT_Classes.html#Clean_MIT_Data"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#MIT_Classes.Clean_MIT_Data" title="Permalink to this definition">¶</a></dt>
<dd><p>Data class for the cleaned Severson data.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>cycle</strong> (<a class="reference internal" href="#MIT_Classes.MIT_Cycle" title="MIT_Classes.MIT_Cycle"><em>MIT_Cycle</em></a>) – The Severson_Cycle object corresponding to this cycle.</p></li>
<li><p><strong>data</strong> (<em>ndarray</em><em>[</em><em>floats</em><em>]</em>) – The array containing all of the data.
Each column corresponds to a different variable, in the following
order: [time, current, voltage, temperature, capacity].
Units: [s], [A], [V], [ºC] and [A.h] respectively.</p></li>
<li><p><strong>type</strong> (<em>{'charge'</em><em>, </em><em>'discharge'}</em>) – A string expressing which kind of cycle it corresponds to. Can either
be ‘charge’ or ‘discharge’.</p></li>
</ul>
</dd>
</dl>
<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Data.time">
<span class="sig-name descname"><span class="pre">time</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Data.time" title="Permalink to this definition">¶</a></dt>
<dd><p>Time vector for the cycle [min].</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>ndarray[floats]</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Data.meas_v">
<span class="sig-name descname"><span class="pre">meas_v</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Data.meas_v" title="Permalink to this definition">¶</a></dt>
<dd><p>Battery terminal voltage [V].</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>ndarray[floats]</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Data.meas_i">
<span class="sig-name descname"><span class="pre">meas_i</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Data.meas_i" title="Permalink to this definition">¶</a></dt>
<dd><p>Battery output current [A].</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>ndarray[floats]</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="MIT_Classes.Clean_MIT_Data.meas_t">
<span class="sig-name descname"><span class="pre">meas_t</span></span><a class="headerlink" href="#MIT_Classes.Clean_MIT_Data.meas_t" title="Permalink to this definition">¶</a></dt>
<dd><p>Battery temperature [ºC].</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>ndarray[floats]</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py">
<span class="sig-name descname"><span class="pre">if</span> <span class="pre">type</span> <span class="pre">==</span> <span class="pre">'charge'</span></span></dt>
<dd><dl class="simple">
<dt>chr_capacity<span class="classifier">ndarray[floats]</span></dt><dd><p>The battery charge capacity during cycling [A.h].</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py">
<span class="sig-name descname"><span class="pre">elif</span> <span class="pre">type</span> <span class="pre">==</span> <span class="pre">'discharge'</span></span></dt>
<dd><dl class="simple">
<dt>dis_capacity<span class="classifier">ndarray[floats]</span></dt><dd><p>The battery discharge capacity evolution during cycling [A.h].</p>
</dd>
<dt>dis_dQdV<span class="classifier">ndarray[floats]</span></dt><dd><p>The differential capacity curve calculated from the discharge data.</p>
</dd>
<dt>capacity<span class="classifier">float</span></dt><dd><p>The battery’s calculated discharge capacity at the end of the cycle
[A.h].</p>
</dd>
</dl>
</dd></dl>

<dl class="field-list simple">
<dt class="field-odd">Raises</dt>
<dd class="field-odd"><p><strong>Exception</strong> – If the type isn’t ‘charge’ nor ‘discharge’.</p>
</dd>
</dl>
</dd></dl>

</div>
</div>


              </div>
              
              
              <div class='prev-next-bottom'>
                
    <a class='left-prev' id="prev-link" href="NASA.html" title="previous page">Nasa dataset</a>
    <a class='right-next' id="next-link" href="COIN.html" title="next page">Tarascon’s Coin dataset</a>

              </div>
              
          </main>
          

      </div>
    </div>
  
  <script src="../_static/js/index.1c5a1a01449ed65a7b51.js"></script>

  <footer class="footer mt-5 mt-md-0">
  <div class="container">
    
    <div class="footer-item">
      <p class="copyright">
    &copy; Copyright 2021, Antonio Rocha Azevedo.<br/>
</p>
    </div>
    
    <div class="footer-item">
      <p class="sphinx-version">
Created using <a href="http://sphinx-doc.org/">Sphinx</a> 4.0.2.<br/>
</p>
    </div>
    
  </div>
</footer>
  </body>
</html>